<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                version="1.0">
                
  <xsl:import href="/usr/share/xml/docbook/stylesheet/nwalsh/fo/docbook.xsl"/>             
  <xsl:import href="common.xsl"/>

  <xsl:template match="screen[@role = 'smaller']">
    <fo:block font-size="8pt">
      <xsl:apply-imports/>
    </fo:block> 
  </xsl:template>
  
  <xsl:template match="*" mode="admon.graphic.width">18pt</xsl:template>
  <xsl:param name="admon.graphics.extension" select="'.svg'"/>

  <xsl:param name="paper.type" select="'A4'"></xsl:param>
    
  <xsl:attribute-set name="monospace.verbatim.properties">
    <xsl:attribute name="wrap-option">wrap</xsl:attribute>
    <xsl:attribute name="hyphenation-character">\</xsl:attribute>
    <xsl:attribute name="font-size">
    <xsl:choose>
      <xsl:when test="processing-instruction('db-font-size')">
        <xsl:value-of select="processing-instruction('db-font-size')"/></xsl:when>
      <xsl:otherwise>inherit</xsl:otherwise>
    </xsl:choose>
    </xsl:attribute>
  </xsl:attribute-set>
</xsl:stylesheet>
